@MayaTheBee

Как избавиться от AttributeError: module 'mmap' has no attribute 'PROT_READ' при попытке установить pip на Windows 10?

Добрый день!
Установил с офф сайта python версии 3.8.5 на OS Windows 10 , по идее он должен идти вместе с pip'ом. Но при попытке ввода любой команды связанной с ним, хотя бы даже pip --version через командную строку cmd вываливается такая вот ошибка:

Could not import runpy module
Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 908, in _find_spec
AttributeError: 'TransformFinderLoader' object has no attribute 'find_spec'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 910, in _find_spec
  File "<frozen importlib._bootstrap>", line 884, in _find_spec_legacy
  File "c:\users\***\appdata\local\programs\python\python38-32\lib\site-packages\source_transform\meta_path.py", line 44, in find_module
    triggered_transforms = self.get_triggered_transforms()
  File "c:\users\***\appdata\local\programs\python\python38-32\lib\site-packages\source_transform\meta_path.py", line 65, in get_triggered_transforms
    prot=mmap.PROT_READ
AttributeError: module 'mmap' has no attribute 'PROT_READ'


Я мало что в этом понимаю, пытался нагуглить решение, и вижу что у многих схожая проблема, но нигде толком ни написано как её решить. Путь к пайтону в переменных среды указан. Версия пайтона установлена только одна. Пробовал установить pip так же через python get-pip.py но выскакивает та же ошибка. В итоге ни django ни поставить ничего другого.
Помогите, пожалуйста!
Заранее спасибо!
  • Вопрос задан
  • 51 просмотр
Решения вопроса 1
@Andy_U
Судя по тому, куда у вас установился питон, вы его из MS Store установили. Снесите нахрен, а потом установите 64 битную версию с Python.org.
Ответ написан
Пригласить эксперта
Ответы на вопрос 1
@PavelMos
Если не работает пип, должен быть в комплекте easy-install в директории scripts вроде. Синтаксис у них аналогичный. Или поставить 3.6 например.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
deeplay Новосибирск
от 130 000 ₽
от 130 000 ₽
Enjoy PRO Санкт-Петербург
от 140 000 до 180 000 ₽